{Notationscodes:
  _s    : string;
  _xzsvb:TZentralSpielVerwaltungBrandubh
}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls,spielvar,  CCGeneral, CCPanel, CCEdit, GeneralSpielVar;
type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Splitter1: TSplitter;
    CCDarstellungsSteuerung1: TCCDarstellungsSteuerung;
    panel3: TCCPanel;
    spielbox: TPaintBox;
    Splitter2: TSplitter;
    CCPanel1: TCCPanel;
    s: TCCPanel;
    ZugMerker: TListBox;
    mogzug: TCCPanel;
    ListBox1: TListBox;
    CCPanel3: TCCPanel;
    CCPanel4: TCCPanel;
    PaintBox1: TPaintBox;
    aspieler: TShape;
    Label1: TLabel;
    StellungsInfos: TPaintBox;
    CCPanel2: TCCPanel;
    CCPanel5: TCCPanel;
    NeuesSpiel1: TLabel;
    Einstellungen: TLabel;
    Beenden: TLabel;
    meldung: TCCPanel;
    Hilfe: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Splitter1CanResize(Sender: TObject; var NewSize: Integer;
      var Accept: Boolean);
    procedure NeuesSpiel1Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure Beenden1Click(Sender: TObject);
    procedure CCPanel2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure panel3MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Einstellungen1Click(Sender: TObject);
    procedure CCPanel2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure CCPanel2MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure CCPanel5Exit(Sender: TObject);
    procedure NeuesSpiel1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure EinstellungenMouseMove(Sender: TObject; Shift: TShiftState;
      X, Y: Integer);
    procedure BeendenMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure CCPanel5MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure panel3Click(Sender: TObject);
    procedure StellungsInfosClick(Sender: TObject);
    procedure meldungClick(Sender: TObject);
    procedure spielboxClick(Sender: TObject);
    procedure HilfeClick(Sender: TObject);
    procedure HilfeMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
    startpfad_s:string;
    spiel_xzsvb:TZentralSpielVerwaltungBrandubh;
  end;

var
  Form1: TForm1;
implementation

uses start, Unit3;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  startpfad_s:=ExtractFilePath(paramstr(0));
  if startpfad_s[length(startpfad_s)]<>'\' then startpfad_s:=startpfad_s+'\';
  spiel_xzsvb:=TZentralSpielVerwaltungBrandubh.Create(ListBox1,ZugMerker,spielbox,aspieler,StellungsInfos,PaintBox1,meldung, startpfad_s);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  spiel_xzsvb.free;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var s:string;
begin
  s:=meldung.hint;
  meldung.hint:=meldung.Caption;
  meldung.Caption:=s;
  meldung.refresh;
end;

procedure TForm1.Splitter1CanResize(Sender: TObject; var NewSize: Integer;
  var Accept: Boolean);
begin
  if (newsize<50)or ((ClientHeight-NewSize-meldung.height-panel3.height)<140) then accept:=false;
end;

procedure TForm1.NeuesSpiel1Click(Sender: TObject);
begin
  spiel_xzsvb.Init;
  spielbox.refresh;
  CCPanel5.Hide;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  OnResize:=nil;
  if not form2.ProgramAlreadyStarted_b then
    form2.ShowModal;
  NeuesSpiel1Click(NeuesSpiel1);

end;

procedure TForm1.Beenden1Click(Sender: TObject);
begin
  close;
end;

procedure TForm1.CCPanel2MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  CCPanel2.BevelOuter:=ccpbmRaised;
  ccpanel2.Refresh;
end;

procedure TForm1.panel3MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  CCPanel2.BevelOuter:=ccpbmNone;
  ccpanel2.Refresh;
end;

procedure TForm1.Einstellungen1Click(Sender: TObject);
begin
  CCPanel5.Hide;
  form2.showModal;
end;

procedure TForm1.CCPanel2MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  CCPanel2.BevelOuter:=ccpbmLower;
  ccpanel2.Refresh;
  CCPanel5.Show;
  CCPanel5.SetFocus;
end;

procedure TForm1.CCPanel2MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  CCPanel2.BevelOuter:=ccpbmRaised;
  ccpanel2.Refresh;
end;

procedure TForm1.CCPanel5Exit(Sender: TObject);
begin
  CCPanel5.Hide;
end;

procedure TForm1.NeuesSpiel1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  NeuesSpiel1.Color:=CCDarstellungsSteuerung1.HighlightColor;
  NeuesSpiel1.Font.Color:=CCDarstellungsSteuerung1.HighlightTextColor;
  Einstellungen.Color:=CCDarstellungsSteuerung1.OberflaecheVon3DObjekten;
  Einstellungen.Font.Color:=CCDarstellungsSteuerung1.ButtonText;
  Beenden.Color:=CCDarstellungsSteuerung1.OberflaecheVon3DObjekten;
  Beenden.Font.Color:=CCDarstellungsSteuerung1.ButtonText;
  Hilfe.Color:=CCDarstellungsSteuerung1.OberflaecheVon3DObjekten;
  Hilfe.Font.Color:=CCDarstellungsSteuerung1.ButtonText;
end;

procedure TForm1.EinstellungenMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  Einstellungen.Color:=CCDarstellungsSteuerung1.HighlightColor;
  Einstellungen.Font.Color:=CCDarstellungsSteuerung1.HighlightTextColor;
  NeuesSpiel1.Color:=CCDarstellungsSteuerung1.OberflaecheVon3DObjekten;
  NeuesSpiel1.Font.Color:=CCDarstellungsSteuerung1.ButtonText;
  Beenden.Color:=CCDarstellungsSteuerung1.OberflaecheVon3DObjekten;
  Beenden.Font.Color:=CCDarstellungsSteuerung1.ButtonText;
  Hilfe.Color:=CCDarstellungsSteuerung1.OberflaecheVon3DObjekten;
  Hilfe.Font.Color:=CCDarstellungsSteuerung1.ButtonText;
end;

procedure TForm1.BeendenMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  Beenden.Color:=CCDarstellungsSteuerung1.HighlightColor;
  Beenden.Font.Color:=CCDarstellungsSteuerung1.HighlightTextColor;
  NeuesSpiel1.Color:=CCDarstellungsSteuerung1.OberflaecheVon3DObjekten;
  NeuesSpiel1.Font.Color:=CCDarstellungsSteuerung1.ButtonText;
  Einstellungen.Color:=CCDarstellungsSteuerung1.OberflaecheVon3DObjekten;
  Einstellungen.Font.Color:=CCDarstellungsSteuerung1.ButtonText;
  Hilfe.Color:=CCDarstellungsSteuerung1.OberflaecheVon3DObjekten;
  Hilfe.Font.Color:=CCDarstellungsSteuerung1.ButtonText;
end;

procedure TForm1.CCPanel5MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  CCPanel5.Hide;
end;

procedure TForm1.panel3Click(Sender: TObject);
begin
  CCPanel5.Hide;
end;

procedure TForm1.StellungsInfosClick(Sender: TObject);
begin
  CCPanel5.Hide;
end;

procedure TForm1.meldungClick(Sender: TObject);
begin
  CCPanel5.Hide;
end;

procedure TForm1.spielboxClick(Sender: TObject);
begin
  CCPanel5.Hide;
end;


procedure TForm1.HilfeClick(Sender: TObject);
begin
  form3.ShowModal;
end;

procedure TForm1.HilfeMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  Hilfe.Color:=CCDarstellungsSteuerung1.HighlightColor;
  Hilfe.Font.Color:=CCDarstellungsSteuerung1.HighlightTextColor;
  NeuesSpiel1.Color:=CCDarstellungsSteuerung1.OberflaecheVon3DObjekten;
  NeuesSpiel1.Font.Color:=CCDarstellungsSteuerung1.ButtonText;
  Einstellungen.Color:=CCDarstellungsSteuerung1.OberflaecheVon3DObjekten;
  Einstellungen.Font.Color:=CCDarstellungsSteuerung1.ButtonText;
  Beenden.Color:=CCDarstellungsSteuerung1.OberflaecheVon3DObjekten;
  Beenden.Font.Color:=CCDarstellungsSteuerung1.ButtonText;
end;

end.

  